Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynUnionOperations

All Superinterfaces:
  DynAnyOperations

All Known Subinterfaces:
  DynUnion

public interface DynUnionOperations
extends DynAnyOperations

Interface definition : DynUnion

Author:
  OpenORB Compiler

Method Summary
`TCKind` | `discriminator_kind()` Operation discriminator_kind
`DynAny` | `get_discriminator()` Operation get_discriminator
`boolean` | `has_no_active_member()` Operation has_no_active_member
`TCKind` | `member_kind()` Operation member_kind
`java.lang.String` | `member_name()` Operation member_name
`DynAny` | `member()` Operation member
`void` | `set_discriminator(DynAny d)` Operation set_discriminator
`void` | `set_to_default_member()` Operation set_to_default_member
`void` | `set_to_no_active_member()` Operation set_to_no_active_member

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_discriminator

    public DynAny get_discriminator()

  Operation get_discriminator

### set_discriminator

    public void set_discriminator(DynAny d)
                           throws TypeMismatch

  Operation set_discriminator

### set_to_default_member

    public void set_to_default_member()
                               throws TypeMismatch

  Operation set_to_default_member

### set_to_no_active_member

    public void set_to_no_active_member()
                                 throws TypeMismatch

  Operation set_to_no_active_member

### has_no_active_member

    public boolean has_no_active_member()

  Operation has_no_active_member

### discriminator_kind

    public TCKind discriminator_kind()

  Operation discriminator_kind

### member

    public DynAny member()
                  throws InvalidValue

  Operation member

### member_name

    public java.lang.String member_name()
                                 throws InvalidValue

  Operation member_name

### member_kind

    public TCKind member_kind()
                       throws InvalidValue

  Operation member_kind

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD